package cn.fw.valhalla.domain.dto;

import cn.fw.common.validator.Vin;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import java.util.Date;

/**
 *
 * 新增认证车辆
 *
 * @author : xiatian
 * @date: 2022-06-06
 */
@Data
@ToString
public class NewVehicleDTO {
    /**
     * 车牌号
     */
    @NotBlank(message = "车牌号不能为空")
    private String plateNo;
    /**
     * 车架号
     */
    @Vin(message = "无效的车架号")
    @NotBlank(message = "车架号不能为空")
    private String frameNo;
    /**
     * 发动机号码
     */
    @NotBlank(message = "发动机号码不能为空")
    private String engineNo;
    /**
     * 行驶证注册日期
     */
    @NotNull(message = "行驶证注册日期不能为空")
    private Date regDate;
    /**
     * 整车型号
     */
    @NotBlank(message = "整车型号不能为空")
    private String specCode;
    /**
     * 品牌名称
     */
    @NotBlank(message = "品牌不能为空")
    private String brandName;
    /**
     * 使用性质 1:非运营 2：运营
     */
    @NotNull(message = "使用性质不能为空")
    private Integer useType;
    /**
     * 车辆所有者
     */
    @NotBlank(message = "车辆所有者名称不能为空")
    private String name;

    /**
     * 客户类型;1:个人；2:单位
     */
    @NotNull(message = "客户类型不能为空")
    private Integer cusType;

    /**
     * 会员id
     */
    private Long memberId;
    /**
     *
     */
    private String memberName;
}
