package cn.fw.valhalla.rpc.shirasawa.dto;

import cn.fw.shirasawa.sdk.enums.BusinessTypeEnum;
import cn.fw.shirasawa.sdk.enums.DataTypeEnum;
import lombok.*;

import java.util.Date;
import java.util.Map;

/**
 * 跟进系统原始数据
 *
 * @author : kurisu
 * @version : 1.0
 * @className : FollowInitDTO
 * @description : 跟进系统原始数据
 * @date : 2022-07-23 15:49
 */
@Data
@EqualsAndHashCode
@ToString
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FollowInitDTO {
    /**
     * 数据类型
     */
    private DataTypeEnum type;
    /**
     * 业态类型
     */
    private BusinessTypeEnum businessType;
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 档案名称
     */
    private String customerName;
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 车牌号
     * 事故车的场景不能为空
     */
    private String plateNo;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 联系方式
     * 事故车的场景不能为空
     */
    private String contacts;
    /**
     * 业务id
     */
    private String detailId;
    /**
     * 待办系统展示参数
     * #
     */
    private Map<String, String> noteMap;
    /**
     * 数据产生时间
     */
    private Date generateTime;
    /**
     * 截止时间
     */
    private Date deadline;
    /**
     * 首次跟进待办截止时间
     * #
     */
    private Date firstRecordDeadline;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 门店名称
     * #
     */
    private String shopName;
    /**
     * 跟进人员id
     */
    private Long userId;
    /**
     * 跟进人员名称
     */
    private String userName;
    /**
     * 是否覆盖 false-不覆盖 true-覆盖 默认不覆盖
     * #
     */
    private Boolean coverFlag;
    /**
     * 业务Id
     */
    private String bizId;
    /**
     * 二次分配数据
     * #
     */
    private Boolean secondary;
}
