package cn.fw.valhalla.sdk.param;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author : kurisu
 * @className : ChangeSpecCodeReq
 * @description : 车型代码变更
 * @date: 2022-03-18 11:38
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class ChangeSpecCodeReq {
    /**
     * 车架号
     */
    @NotNull(message = "档案id不能为空")
    private Long customerId;
    /**
     * 品牌id
     */
    private Long brandId;
    /**
     * 品牌名称
     */
    private String brandName;
    /**
     * 车系id
     */
    private Long seriesId;
    /**
     * 车系名称
     */
    private String seriesName;
    /**
     * 车系id
     */
    private Long specId;
    /**
     * 车系名称
     */
    private String specName;
    /**
     * 车型代码
     */
    @NotBlank(message = "车型代码不能为空")
    private String specCode;
}
