package cn.fw.valhalla.sdk.param;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 保有客信息
 *
 * @author Kurisu
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CustomerUpdateBuyDateParams {
    /**
     * 车架号
     */
    @NotBlank(message = "车架号不能为空")
    private String frameNo;
    /**
     * 购车时间/开票时间
     * 时间戳
     */
    @NotNull(message = "开票时间不能为空")
    private Date buyDate;
    /**
     * 集团id
     */
    @NotNull(message = "集团id不能为空")
    private Long groupId;
}