package cn.fw.valhalla.service.data;

import cn.fw.valhalla.domain.db.follow.FollowRecord;
import cn.fw.valhalla.domain.enums.FollowTypeEnum;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.lang.Nullable;

import java.util.List;

/**
 * @author : kurisu
 * @className : FollowRecordService
 * @description : 跟进记录
 * @date: 2020-08-12 11:09
 */
public interface FollowRecordService extends IService<FollowRecord> {

    /**
     * 逾期
     *
     * @param id
     * @return
     */
    boolean overdue(final Long id);

    /**
     * 查询档案对应的跟进任务
     *
     * @param customerId
     * @param list
     * @return
     */
    void removeRecordByCustId(final Long customerId, @Nullable List<FollowTypeEnum> list);
}
