package cn.fw.valhalla.service.data;

import cn.fw.valhalla.domain.db.MemberVehicle;
import cn.fw.valhalla.sdk.result.BasicsCustomerDTO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 会员认证车辆
 * <p>
 * create at 2022-06-06
 *
 * @author xiatian
 */
public interface MemberVehicleService extends IService<MemberVehicle> {
    /**
     * 查询已认证车辆
     *
     * @param frameNo 车架号
     * @return 认证车辆
     */
    MemberVehicle getVehicle(String frameNo);

    /**
     * 查询认证车辆
     *
     * @param memberId 会员id
     * @return 认证车辆
     */
    List<MemberVehicle> getMemberVehicle(Long memberId);

    /**
     * 关键字全匹配查询
     *
     * @param keyword 关键词
     * @return 认证车辆信息
     */
    List<BasicsCustomerDTO> queryByKeyword(String keyword);
}
